%global momorel 2
%global real_name pycrypto
%global md5sum_src0 4d5674f3898a573691ffb335e8d749cd

Summary: Collection of cryptographic algorithms and protocols for python
Name: python-crypto
Version: 2.0.1
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.amk.ca/python/code/crypto.html

%NoSource 0 http://www.amk.ca/files/python/crypto/pycrypto-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: python-devel
BuildRequires: python >= 2.5
Requires: python >= 2.5
Obsoletes: pycrypto <= %{version}
Provides: pycrypto <= %{version}

%description
pycrypto is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:

    * Hash functions: MD2, MD4, RIPEMD.
    * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES, IDEA, RC5.
    * Stream encryption algorithms: ARC4, simple XOR.
    * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
    * Protocols: All-or-nothing transforms, chaffing/winnowing.
    * Miscellaneous: RFC1751 module for converting 128-key keys into a set of English words, primality testing.

%prep
%setup -q -n %{real_name}-%{version}

%build
python2 setup.py build

%install
%{__rm} -rf %{buildroot}
python2 setup.py install \
	--root="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ACKS ChangeLog LICENSE MANIFEST README TODO
%{_libdir}/python*/site-packages/Crypto/

%changelog
* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-2m)
- rebuild against python-2.5

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Tue Apr 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-1m)
- import to Momonga for bittorrent
- delete out # Packager: Dag Wieers <dag@wieers.com>
- delete out # Vendor: Dag Apt Repository, http://dag.wieers.com/apt/
- nosrc 0
- add -q at setup

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 2.0-1
- Updated to release 2.0.

* Sat Jan 31 2004 Dag Wieers <dag@wieers.com> - 1.9-0.a6
- Initial package. (using DAR)
